GMime-2.6.23

Introduction à GMime

Le paquet GMime contient une chaîne d'outils pour analyser et créer des messages qui utilisent la Multipurpose Internet Mail Extension (extension pour le mail sur Internet à plusieurs objectifs) (MIME) tel que définie par les RFC applicables. Voir le site Internet GMime pour les RFC à ce sujet. Ceci est utile car cela fournit une API qui se conforme à la spécification MIME aussi fidèlement que possible tout en fournissant également aux programmeurs une interface avec les fonctions API très facile à utiliser.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de GMime

Requises

GLib-2.64.4 et libgpg-error-1.38

Recommandées

Facultatives

DocBook-utils-0.6.14, GPGME-1.14.0, GTK-Doc-1.32 and Gtk# (requiert Mono)

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/gmime

Installation de GMime

Installez GMime en lançant les commandes suivantes :

./configure --prefix=/usr --disable-static &&
make

Pour tester les résultats lancez : make check.

Maintenant, en tant qu'utilisateur root :

make install

Explication des commandes

--disable-static : Ce paramètre empêche l'installation des versions statiques des bibliothèques.

--enable-smime : Utilisez cette option si vous avez installé GPGME-1.14.0 et que vous souhaitez activer le support S/MIME dans GMime.

--enable-gtk-doc : Utilisez ce paramètre si GTK-Doc est installé et si vous souhaitez reconstruire et installer la documentation de l'API.

Contenu

Programmes installés: Aucun
Bibliothèque installée: libgmime-2.6.so
Répertoires installés: /usr/include/gmime-2.6 et /usr/share/gtk-doc/html/gmime-2.6

Descriptions courtes

libgmime-2.6.so

contient des fonctions de l'API utilisées par des programmes qui doivent adhérer aux standards MIME.

Last updated on 2020-02-17 02:46:23 +0000